%global momorel 1
%global scim_ver 1.4.5
%global scim_major_version 1.4.0
%global md5sum_src0 45fc98fadcfdb8351478a2bc8e37b24f

Summary: An On Screen Input Pad for SCIM
Name: scim-input-pad
Version: 0.1.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/scim/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: %{name}-rpath.patch
Patch1: %{name}-libexecdir.patch
Requires: scim >= %{scim_ver}
BuildRequires: scim-devel >= %{scim_ver}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libpng-devel
BuildRequires: libtool
BuildRequires: libxcb-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
Scim-input-pad is an on-screen input pad used to input symbols easily.

%prep
%setup -q

%patch0 -p0 -b .rpath
%patch1 -p1 -b .libexec

# for Patch1
autoconf

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/Helper/input-pad.la
rm -f %{buildroot}%{_libdir}/libscim-input-pad.{la,so}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README TODO
%{_bindir}/scim-input-pad
%{_libdir}/scim-1.0/%{scim_major_version}/Helper/input-pad.so
%{_libdir}/libscim-input-pad.so.*
%{_datadir}/locale/*/LC_MESSAGES/scim-input-pad.mo
%{_datadir}/scim/icons/input-pad.png
%{_datadir}/scim/input-pad

%changelog
* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import rpath.patch and libexecdir.patch from Fedora
